=== debian/changelog ===
osmo-tetra (0.0~git20230902.c0956b9-3) unstable; urgency=medium

   * take care of CFLAGS (Closes: #1119513)
     (amend hardening-no-fortify-functions.patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 31 Oct 2025 09:56:01 +0100

osmo-tetra (0.0~git20230902.c0956b9-2) unstable; urgency=medium

  * source upload

  [ Thorsten Alteholz ]
  * debian/control: fix typo in URL
  * add debian/salsa-ci.yml
  * add debian/gbp.conf
  * rename tunctl to osmo-tunctl (Closes: #1091398)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Jan 2025 22:56:01 +0100

osmo-tetra (0.0~git20230902.c0956b9-1) unstable; urgency=medium

  [ Nathan Doris ]
  * debian/*

  [ Thorsten Alteholz ]
  * Initial release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Dec 2024 22:56:01 +0100
