=== debian/control ===
Source: osmo-tetra
Section: comm
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Nate Doris <nate.doris@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libosmocore-dev (>= 1.10),
 pkgconf,
 gnuradio,
 txt2man,
 dh-exec
Standards-Version: 4.7.0
Homepage: https://osmocom.org/projects/tetra/wiki/OsmocomTETRA
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-tetra
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-tetra.git

Package: osmo-tetra
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3:any,
 python3-pyqt5,
 gr-osmosdr
Description: TETRA trunked radio system software
 This project aims at practical research and
 experimentation with the TETRA trunked radio system.
