=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/^/osmocom/" \
https://gitea.osmocom.org/tetra/osmo-tetra \
HEAD debian uupdate
